<bugID>1347063<Summary>The pop-up persists on the desktop screen after the web page is out of focus (minimized)</Summary><Description>[Affected versions]:
- Firefox 55.0a1 (2017-03-13) 
- Firefox 54.0a2 (2017-03-13) 
- Firefox 53.0b1 (20170307144748)

[Affected platforms]:
- Ubuntu 14.04 64-bit
- Ubuntu 16.04 32-bit

[Steps to reproduce]:
1.Launch Firefox with clean profile.
2.Navigate to https://addons.mozilla.org/en-US/firefox/ 
3.Click on the &#8220;+Add to Firefox&#8221; button to any add-on, for example https://addons.mozilla.org/en-US/firefox/addon/adblock-plus/?src=hp-dl-mostpopular 
4.After the pop-up is displayed change the focus by minimizing the web page.

[Expected results]:
- The pop-up does not persist on the desktop screen after the web page is out of focus.

[Actual results]:
- The pop-up persists on the desktop screen after the web page is out of focus.

[Regression range]
Last good build: abecacadf9d3006029eb2208445521f495e80a70
First bad build: c7be1246b30124324539133b4e10645bc6b5155f
Pushlog: https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=abecacadf9d3006029eb2208445521f495e80a70&amp;tochange=c7be1246b30124324539133b4e10645bc6b5155f 

[Additional notes]:
- This issue is also reproducing for pop-ups with permissions.
- This issue reproduces constantly.
- Here is a video of this issue: https://www.dropbox.com/s/k1p2d51p6ymqwq0/RegressionPermissions.ogv?dl=0

I suspect that this issue was regressed by Bug 1004061</Description></bugID>